package jalview.ws.dbsources;

import static org.testng.Assert.assertEquals;

import jalview.bin.Cache;

import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

public class RfamSeedTest
{
  @BeforeClass(alwaysRun = true)
  public void setUp()
  {
    Cache.loadProperties("test/jalview/io/testProps.jvprops");
  }

  @Test(groups = "Functional")
  public void testGetURL()
  {
    String path = "rfam.xfam.org/family/ABC/alignment/stockholm";

    // with default value for domain
    String url = new RfamSeed().getURL(" abc ");
    assertEquals(url, "https://" + path);

    // with override in properties
    Cache.setProperty(Rfam.RFAM_BASEURL_KEY, "http://rfam.xfam.org");
    url = new RfamSeed().getURL(" abc ");
    assertEquals(url, "http://" + path);
  }
}
